Show: Inherited Protected Private Deprecated

# ButtonStyle Class

Defined in: `src/ui/react/src/components/base/button-style.js:4`

ButtonStyle is a mixin that provides a style prop and some methods to apply the resulting style and checking if it is present in a given path or selection.

## Index

### Methods

- componentWillMount
- componentWillUnmount
- getStyle
- isActive

### Properties

- style

## Methods

### `componentWillMount`

()

Defined in `src/ui/react/src/components/base/button-style.js:21`

Lifecycle. Invoked once, both on the client and server, immediately before the initial rendering occurs.

### `componentWillUnmount`

()

Defined in `src/ui/react/src/components/base/button-style.js:30`

Lifecycle. Invoked immediately before a component is unmounted from the DOM.

### `getStyle`

() CKEDITOR.style

Defined in `src/ui/react/src/components/base/button-style.js:39`

Returns instance of CKEDITOR.style which represents the current button style.

#### Returns:

CKEDITOR.style:

The current style representation.

### `isActive`

() Boolean

Defined in `src/ui/react/src/components/base/button-style.js:49`

Checks if style is active in the current selection.

#### Returns:

Boolean:

True if style is active, false otherwise.

## Properties

### `style`

Object

Defined in `src/ui/react/src/components/base/button-style.js:13`

The style the button should handle as described by http://docs.ckeditor.com/#!/api/CKEDITOR.style